#include <fstream>
#include <vector>
#include <queue>
#include <algorithm>
using namespace std;

ifstream fin("norm.in");
ofstream fout("norm.out");

using VI = vector<int>;
using VI = vector<int>;
using VVI = vector<VI>;
using VP = vector<pair<int, int>>;
using VB = vector<bool>;
using VVB = vector<VB>;


VP vp;
VI sx, sy;
VVB a;
VVB mat;
VVI c;

bool xlimit, ylimit;   // daca avem obstacol la linia N sau la coloana M  
int N, M; // dim matricei initiale
int n, m; // dim matricei finale, dupa normalizare

int k;    // nr celule ocupate
int x, y;
int xmax, ymax;  // linia maxima si coloana maxima ocupata 

int xi, yi, xf, yf; // poz initiala si finala a mobilului

void ScrieMatr(VVB& a, int n, int m);

int main()
{
    fin >> N >> M >> xi >> yi >> xf >> yf >> k;
    a  = VVB(N + 1, VB(M + 1));
    vp = VP(k + 1);
    sx.push_back(xi), sy.push_back(yi);
    sx.push_back(xf), sy.push_back(yf);
    
    xmax = max({xmax, xi, xf});
    ymax = max({ymax, yi, yf});
   
    for (int i = 1; i <= k; ++i)
    {
        fin >> x >> y;
        a[x][y] = true;
        xmax = max(x, xmax);
        ymax = max(y, ymax);
       
        sx.push_back(x - 1), 
        sx.push_back(x);
        sy.push_back(y - 1), 
        sy.push_back(y);
        vp[i] = {x, y};
    }
    
    if (xmax == N)
        xlimit = true;
    if (ymax == M)
        ylimit = true;
    
    sx.push_back(0), sy.push_back(0); 
    sort(sx.begin(), sx.end());
    sx.erase(unique(sx.begin(), sx.end()), sx.end());
    
    sort(sy.begin(), sy.end());
    sy.erase(unique(sy.begin(), sy.end()), sy.end());
    
    n = (int)sx.size() - 1; // este si pozitia 0 in sx
    m = (int)sy.size() - 1;
    
    if (!xlimit) ++n;
    if (!ylimit) ++m;
    
    mat = VVB(n + 1, VB(m + 1));
    
    for (int i = 1; i <= k; ++i)
    {
        x = lower_bound(sx.begin(), sx.end(), vp[i].first) - sx.begin();
        y = lower_bound(sy.begin(), sy.end(), vp[i].second) - sy.begin();
        mat[x][y] = 1;
    }
    
    xi = lower_bound(sx.begin(), sx.end(), xi) - sx.begin();
    xf = lower_bound(sx.begin(), sx.end(), xf) - sx.begin();
    yi = lower_bound(sy.begin(), sy.end(), yi) - sy.begin();
    yf = lower_bound(sy.begin(), sy.end(), yf) - sy.begin();
    
    ScrieMatr(a, N, M);
    ScrieMatr(mat, n, m);
    
    
    return 0;
}

void ScrieMatr(VVB& a, int n, int m)
{
	for (int i = 1; i <= n; ++i, fout << '\n')
		for (int j = 1; j <= m; ++j)
			fout << a[i][j] << ' ';
	fout << "\n\n";
	
}
