#include <vector>
#include <iostream>
#include <iomanip>
#include <set>
using namespace std;


int n;
using VI = vector<int>;

void Print(VI& v)
{
	for (size_t i = 1; i < v.size(); ++i)
		cout << setw(3) << v[i];
	cout << '\n';
}

int main()
{
	VI a = {30, 7, 10, 20, 2, 5, 5, 9, 20};
	set<int> b(a.begin(), a.end()); // O(n * log2(n))
	
	set<int> b = {2, 5, 7, 9, 10, 20, 30};
	//           begin()      it 
	      
	// pt fiecare elem din sirul a[] aflam pozitia sa in sirul b
	auto it = b.find(10); // log2(n)
	cout << it - b.begin();
    return 0;
}
